<?php
namespace Claromentis\Core\Session;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_34aca48e9acc6ce3382121bf75527" . "4a4" => base64_decode("c2Vzc2" . "lvbl9y" . "ZXNldA" . "=="), "_f73dab606630b388" . "645c4f7d3fbb13bb" => base64_decode("YXJyYXlf" . "bWVyZ2U="), "att" . "rib" . "ute" . "s" => base64_decode("YXR0cmli" . "dXRlcw=="));
use Symfony\Component\HttpFoundation\Session\Storage\Handler\NativeSessionHandler;
use Symfony\Component\HttpFoundation\Session\Storage\MetadataBag;
use Symfony\Component\HttpFoundation\Session\Storage\NativeSessionStorage;
use Symfony\Component\HttpFoundation\Session\Storage\Proxy\AbstractProxy;
use Symfony\Component\HttpFoundation\Session\Storage\Proxy\NativeProxy;
use Symfony\Component\HttpFoundation\Session\Storage\Proxy\SessionHandlerProxy;










class PhpLegacyBridgeSessionStorage extends NativeSessionStorage
{
    
    
    
    
    
    
    
    
    
    
    
    protected function loadSession(array &$session = null)
    {
        if (null === $session) {
            $session =& $_SESSION;
        }
        $_cd9bb09c0d2b4b32f4c83c62083c8357 = $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_f73dab606630b3886" . "45c4f7d3fbb13bb"]($this->bags, array($this->metadataBag));
        
        
        foreach ($_cd9bb09c0d2b4b32f4c83c62083c8357 as $_aa85d70476fc85ae53687b5e6df08072) {
            $key = $_aa85d70476fc85ae53687b5e6df08072->getStorageKey();
            $session[$key] = isset($session[$key]) ? $session[$key] : array();
            if ($_aa85d70476fc85ae53687b5e6df08072->getName() == $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["att" . "rib" . "ute" . "s"]) {
                $_aa85d70476fc85ae53687b5e6df08072->initialize($session);
            } else {
                $_aa85d70476fc85ae53687b5e6df08072->initialize($session[$key]);
            }
        }
        $this->started = true;
        $this->closed = false;
    }
    
    
    
    
    public function reset()
    {
        if ($this->isStarted()) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_34aca48e9acc6ce3382121bf755274a" . "4"]();
            $this->loadSession();
        }
    }
}